> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/sandbox/start-sandbox.md).

# START SANDBOX

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
START SANDBOX IN "<region>";
```

## Description <a href="#description" id="description"></a>

Start a new sandbox in the provided region.

A sandbox responds to queries once it is created and in `RUNNING` status. If a query is ran before the sandbox is available, the query is queued to be run once the sandbox is `RUNNING`.

{% hint style="info" %}
**Note** You can only create sandboxes in the regions available in [`LIST REGIONS`](broken://pages/dqmTShTXTtD4hHXCMHxo).
{% endhint %}

### Arguments

#### \<region>

The region in which to create the sandbox in. See [`LIST REGIONS`](broken://pages/dqmTShTXTtD4hHXCMHxo) for a list of regions.

## Examples

The following shows how to create a new sandbox:

```sh
demodb.public/demostore# START SANDBOX IN "AWS us-east-1";
+---------+---------+----------+------------------------------------------+
|  Type   |  Name   |  Command |  Summary                                 |
+=========+=========+==========+==========================================+
| sandbox | sandbox | CREATE   | sandbox was successfully started in AWS  |
|         |         |          | us-east-1                                |
+---------+---------+----------+------------------------------------------+
```

Note that there can only be one active sandbox running at a given time. However, if any changes are detected or required, you must stop the sandbox using the [`STOP SANDBOX`](/reference/sql-syntax/sandbox/stop-sandbox.md) command and then recreate it — for example if a [user-defined function](/overview/core-concepts/function.md) from a new function source must be used (see [`CREATE FUNCTION_SOURCE`](/reference/sql-syntax/ddl/create-function_source.md)).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/sandbox/start-sandbox.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
